(in-package #:mit-mers-documentation-site)

(progn
  (doc:defsection @index (:title "MIT MERS Common Lisp Documentation"
                          :ignore-words #1=("CLAW" "CPLEX" "MERS" "MIT"))
    "This site contains the documentation for publicly available Common Lisp
libraries from the [Model-based Embedded and Robotic Systems Group (MERS) at
MIT.](https://mers.csail.mit.edu/)."
    (@claw-cplex section))

  (doc:defsection @claw-cplex (:title "CLAW CPLEX"
                               :ignore-words #1#)
    "The CLAW CPLEX project provides autogenerated bindings for [IBM ILOG CPLEX Optimization Studio](https://www.ibm.com/products/ilog-cplex-optimization-studio),
as well as helper functions to dynamically load and link the CPLEX
foreign library at runtime."
    . #.(details-for 'claw-cplex)))

(defun generate-docs ()
  (40ants-doc/builder:update-asdf-system-docs @index :mit-mers-documentation-site))
